blob: 0a955671cc6d428e7524ad2144d1f7a39c64dec1 [file] [log] [blame]
content gwt-dev-plugin content/
skin gwt-dev-plugin classic/1.0 skin/
# This file is parsed top to bottom. List the lowest versions first
# Firefox 4
binary-component lib/Linux_x86_64-gcc3/ff40/libgwt_dev_ff40.so ABI=Linux_x86_64-gcc3 appversion<=4.0.*
binary-component lib/Linux_x86-gcc3/ff40/libgwt_dev_ff40.so ABI=Linux_x86-gcc3 appversion<=4.0.*
binary-component lib/Darwin-gcc3/ff40/libgwt_dev_ff40.dylib ABI=Darwin_x86_64-gcc3 appversion<=4.0.*
binary-component lib/Darwin-gcc3/ff40/libgwt_dev_ff40.dylib ABI=Darwin_x86-gcc3 appversion<=4.0.*
binary-component lib/WINNT_x86-msvc/ff40/xpGwtDevPlugin.dll ABI=WINNT_x86-msvc appversion<=4.0.*
# Firefox 5
binary-component lib/Linux_x86_64-gcc3/ff50/libgwt_dev_ff50.so ABI=Linux_x86_64-gcc3 appversion<=5.0.*
binary-component lib/Linux_x86-gcc3/ff50/libgwt_dev_ff50.so ABI=Linux_x86-gcc3 appversion<=5.0.*
binary-component lib/Darwin-gcc3/ff50/libgwt_dev_ff50.dylib ABI=Darwin_x86_64-gcc3 appversion<=5.0.*
binary-component lib/Darwin-gcc3/ff50/libgwt_dev_ff50.dylib ABI=Darwin_x86-gcc3 appversion<=5.0.*
binary-component lib/WINNT_x86-msvc/ff50/xpGwtDevPlugin.dll ABI=WINNT_x86-msvc appversion<=5.0.*
# Firefox 6
binary-component lib/Linux_x86_64-gcc3/ff60/libgwt_dev_ff60.so ABI=Linux_x86_64-gcc3 appversion<=6.0.*
binary-component lib/Linux_x86-gcc3/ff60/libgwt_dev_ff60.so ABI=Linux_x86-gcc3 appversion<=6.0.*
binary-component lib/Darwin-gcc3/ff60/libgwt_dev_ff60.dylib ABI=Darwin_x86_64-gcc3 appversion<=6.0.*
binary-component lib/Darwin-gcc3/ff60/libgwt_dev_ff60.dylib ABI=Darwin_x86-gcc3 appversion<=6.0.*
binary-component lib/WINNT_x86-msvc/ff60/xpGwtDevPlugin.dll ABI=WINNT_x86-msvc appversion<=6.0.*
# Firefox 7
binary-component lib/Linux_x86_64-gcc3/ff70/libgwt_dev_ff70.so ABI=Linux_x86_64-gcc3 appversion<=7.0.*
binary-component lib/Linux_x86-gcc3/ff70/libgwt_dev_ff70.so ABI=Linux_x86-gcc3 appversion<=7.0.*
binary-component lib/Darwin-gcc3/ff70/libgwt_dev_ff70.dylib ABI=Darwin_x86_64-gcc3 appversion<=7.0.*
binary-component lib/Darwin-gcc3/ff70/libgwt_dev_ff70.dylib ABI=Darwin_x86-gcc3 appversion<=7.0.*
binary-component lib/WINNT_x86-msvc/ff70/xpGwtDevPlugin.dll ABI=WINNT_x86-msvc appversion<=7.0.*
# Firefox 8
binary-component lib/Linux_x86_64-gcc3/ff80/libgwt_dev_ff80.so ABI=Linux_x86_64-gcc3 appversion<=8.0.*
binary-component lib/Linux_x86-gcc3/ff80/libgwt_dev_ff80.so ABI=Linux_x86-gcc3 appversion<=8.0.*
binary-component lib/Darwin-gcc3/ff80/libgwt_dev_ff80.dylib ABI=Darwin_x86_64-gcc3 appversion<=8.0.*
binary-component lib/Darwin-gcc3/ff80/libgwt_dev_ff80.dylib ABI=Darwin_x86-gcc3 appversion<=8.0.*
binary-component lib/WINNT_x86-msvc/ff80/xpGwtDevPlugin.dll ABI=WINNT_x86-msvc appversion<=8.0.*
# Firefox 9
binary-component lib/Linux_x86_64-gcc3/ff90/libgwt_dev_ff90.so ABI=Linux_x86_64-gcc3 appversion<=9.0.*
binary-component lib/Linux_x86-gcc3/ff90/libgwt_dev_ff90.so ABI=Linux_x86-gcc3 appversion<=9.0.*
binary-component lib/Darwin-gcc3/ff90/libgwt_dev_ff90.dylib ABI=Darwin_x86_64-gcc3 appversion<=9.0.*
binary-component lib/Darwin-gcc3/ff90/libgwt_dev_ff90.dylib ABI=Darwin_x86-gcc3 appversion<=9.0.*
binary-component lib/WINNT_x86-msvc/ff90/xpGwtDevPlugin.dll ABI=WINNT_x86-msvc appversion<=9.0.*
# Firefox 10
binary-component lib/Linux_x86_64-gcc3/ff100/libgwt_dev_ff100.so ABI=Linux_x86_64-gcc3 appversion<=10.0.*
binary-component lib/Linux_x86-gcc3/ff100/libgwt_dev_ff100.so ABI=Linux_x86-gcc3 appversion<=10.0.*
binary-component lib/Darwin-gcc3/ff100/libgwt_dev_ff100.dylib ABI=Darwin_x86_64-gcc3 appversion<=10.0.*
binary-component lib/Darwin-gcc3/ff100/libgwt_dev_ff100.dylib ABI=Darwin_x86-gcc3 appversion<=10.0.*
binary-component lib/WINNT_x86-msvc/ff100/xpGwtDevPlugin.dll ABI=WINNT_x86-msvc appversion<=10.0.*
# Firefox 11
binary-component lib/Linux_x86_64-gcc3/ff110/libgwt_dev_ff110.so ABI=Linux_x86_64-gcc3 appversion<=11.0.*
binary-component lib/Linux_x86-gcc3/ff110/libgwt_dev_ff110.so ABI=Linux_x86-gcc3 appversion<=11.0.*
binary-component lib/Darwin-gcc3/ff110/libgwt_dev_ff110.dylib ABI=Darwin_x86_64-gcc3 appversion<=11.0.*
binary-component lib/Darwin-gcc3/ff110/libgwt_dev_ff110.dylib ABI=Darwin_x86-gcc3 appversion<=11.0.*
binary-component lib/WINNT_x86-msvc/ff110/xpGwtDevPlugin.dll ABI=WINNT_x86-msvc appversion<=11.0.*
# Firefox 12
binary-component lib/Linux_x86_64-gcc3/ff120/libgwt_dev_ff120.so ABI=Linux_x86_64-gcc3 appversion<=12.0.*
binary-component lib/Linux_x86-gcc3/ff120/libgwt_dev_ff120.so ABI=Linux_x86-gcc3 appversion<=12.0.*
binary-component lib/Darwin-gcc3/ff120/libgwt_dev_ff120.dylib ABI=Darwin_x86_64-gcc3 appversion<=12.0.*
binary-component lib/Darwin-gcc3/ff120/libgwt_dev_ff120.dylib ABI=Darwin_x86-gcc3 appversion<=12.0.*
binary-component lib/WINNT_x86-msvc/ff120/xpGwtDevPlugin.dll ABI=WINNT_x86-msvc appversion<=12.0.*
# Firefox 13
binary-component lib/Linux_x86_64-gcc3/ff130/libgwt_dev_ff130.so ABI=Linux_x86_64-gcc3 appversion<=13.0.*
binary-component lib/Linux_x86-gcc3/ff130/libgwt_dev_ff130.so ABI=Linux_x86-gcc3 appversion<=13.0.*
binary-component lib/Darwin-gcc3/ff130/libgwt_dev_ff130.dylib ABI=Darwin_x86_64-gcc3 appversion<=13.0.*
binary-component lib/Darwin-gcc3/ff130/libgwt_dev_ff130.dylib ABI=Darwin_x86-gcc3 appversion<=13.0.*
binary-component lib/WINNT_x86-msvc/ff130/xpGwtDevPlugin.dll ABI=WINNT_x86-msvc appversion<=13.0.*
# Firefox 14
binary-component lib/Linux_x86_64-gcc3/ff140/libgwt_dev_ff140.so ABI=Linux_x86_64-gcc3 appversion<=14.0.*
binary-component lib/Linux_x86-gcc3/ff140/libgwt_dev_ff140.so ABI=Linux_x86-gcc3 appversion<=14.0.*
binary-component lib/Darwin-gcc3/ff140/libgwt_dev_ff140.dylib ABI=Darwin_x86_64-gcc3 appversion<=14.0.*
binary-component lib/Darwin-gcc3/ff140/libgwt_dev_ff140.dylib ABI=Darwin_x86-gcc3 appversion<=14.0.*
binary-component lib/WINNT_x86-msvc/ff140/xpGwtDevPlugin.dll ABI=WINNT_x86-msvc appversion<=14.0.*
# Firefox 15
binary-component lib/Linux_x86_64-gcc3/ff150/libgwt_dev_ff150.so ABI=Linux_x86_64-gcc3 appversion<=15.0.*
binary-component lib/Linux_x86-gcc3/ff150/libgwt_dev_ff150.so ABI=Linux_x86-gcc3 appversion<=15.0.*
binary-component lib/WINNT_x86-msvc/ff150/xpGwtDevPlugin.dll ABI=WINNT_x86-msvc appversion<=15.0.*
binary-component lib/Darwin-gcc3/ff150/libgwt_dev_ff150.dylib ABI=Darwin_x86_64-gcc3 appversion<=15.0.*
binary-component lib/Darwin-gcc3/ff150/libgwt_dev_ff150.dylib ABI=Darwin_x86-gcc3 appversion<=15.0.*
# Firefox 16
binary-component lib/Linux_x86_64-gcc3/ff160/libgwt_dev_ff160.so ABI=Linux_x86_64-gcc3 appversion<=16.0.*
binary-component lib/Linux_x86-gcc3/ff160/libgwt_dev_ff160.so ABI=Linux_x86-gcc3 appversion<=16.0.*
binary-component lib/WINNT_x86-msvc/ff160/xpGwtDevPlugin.dll ABI=WINNT_x86-msvc appversion<=16.0.*
binary-component lib/Darwin-gcc3/ff160/libgwt_dev_ff160.dylib ABI=Darwin_x86_64-gcc3 appversion<=16.0.*
binary-component lib/Darwin-gcc3/ff160/libgwt_dev_ff160.dylib ABI=Darwin_x86-gcc3 appversion<=16.0.*
# Firefox 17
binary-component lib/Linux_x86_64-gcc3/ff170/libgwt_dev_ff170.so ABI=Linux_x86_64-gcc3 appversion<=17.0.*
binary-component lib/Linux_x86-gcc3/ff170/libgwt_dev_ff170.so ABI=Linux_x86-gcc3 appversion<=17.0.*
binary-component lib/WINNT_x86-msvc/ff170/xpGwtDevPlugin.dll ABI=WINNT_x86-msvc appversion<=17.0.*
binary-component lib/Darwin-gcc3/ff170/libgwt_dev_ff170.dylib ABI=Darwin_x86_64-gcc3 appversion<=17.0.*
binary-component lib/Darwin-gcc3/ff170/libgwt_dev_ff170.dylib ABI=Darwin_x86-gcc3 appversion<=17.0.*
# Firefox 18
binary-component lib/Linux_x86_64-gcc3/ff180/libgwt_dev_ff180.so ABI=Linux_x86_64-gcc3 appversion<=18.0.*
binary-component lib/Linux_x86-gcc3/ff180/libgwt_dev_ff180.so ABI=Linux_x86-gcc3 appversion<=18.0.*
binary-component lib/WINNT_x86-msvc/ff180/xpGwtDevPlugin.dll ABI=WINNT_x86-msvc appversion<=18.0.*
binary-component lib/Darwin-gcc3/ff180/libgwt_dev_ff180.dylib ABI=Darwin_x86_64-gcc3 appversion<=18.0.*
binary-component lib/Darwin-gcc3/ff180/libgwt_dev_ff180.dylib ABI=Darwin_x86-gcc3 appversion<=18.0.*
# Firefox 19
binary-component lib/Linux_x86_64-gcc3/ff190/libgwt_dev_ff190.so ABI=Linux_x86_64-gcc3 appversion<=19.0.*
binary-component lib/Linux_x86-gcc3/ff190/libgwt_dev_ff190.so ABI=Linux_x86-gcc3 appversion<=19.0.*
binary-component lib/WINNT_x86-msvc/ff190/xpGwtDevPlugin.dll ABI=WINNT_x86-msvc appversion<=19.0.*
binary-component lib/Darwin-gcc3/ff190/libgwt_dev_ff190.dylib ABI=Darwin_x86_64-gcc3 appversion<=19.0.*
binary-component lib/Darwin-gcc3/ff190/libgwt_dev_ff190.dylib ABI=Darwin_x86-gcc3 appversion<=19.0.*
# Firefox 20
binary-component lib/Linux_x86_64-gcc3/ff200/libgwt_dev_ff200.so ABI=Linux_x86_64-gcc3 appversion<=20.0.*
binary-component lib/Linux_x86-gcc3/ff200/libgwt_dev_ff200.so ABI=Linux_x86-gcc3 appversion<=20.0.*
binary-component lib/WINNT_x86-msvc/ff200/xpGwtDevPlugin.dll ABI=WINNT_x86-msvc appversion<=20.0.*
binary-component lib/Darwin-gcc3/ff200/libgwt_dev_ff200.dylib ABI=Darwin_x86_64-gcc3 appversion<=20.0.*
binary-component lib/Darwin-gcc3/ff200/libgwt_dev_ff200.dylib ABI=Darwin_x86-gcc3 appversion<=20.0.*
# Firefox 21
binary-component lib/Linux_x86_64-gcc3/ff210/libgwt_dev_ff210.so ABI=Linux_x86_64-gcc3 appversion<=21.0.*
binary-component lib/Linux_x86-gcc3/ff210/libgwt_dev_ff210.so ABI=Linux_x86-gcc3 appversion<=21.0.*
binary-component lib/WINNT_x86-msvc/ff210/xpGwtDevPlugin.dll ABI=WINNT_x86-msvc appversion<=21.0.*
binary-component lib/Darwin-gcc3/ff210/libgwt_dev_ff210.dylib ABI=Darwin_x86_64-gcc3 appversion<=21.0.*
binary-component lib/Darwin-gcc3/ff210/libgwt_dev_ff210.dylib ABI=Darwin_x86-gcc3 appversion<=21.0.*
# Firefox 22
binary-component lib/Linux_x86_64-gcc3/ff220/libgwt_dev_ff220.so ABI=Linux_x86_64-gcc3 appversion<=22.0.*
binary-component lib/Linux_x86-gcc3/ff220/libgwt_dev_ff220.so ABI=Linux_x86-gcc3 appversion<=22.0.*
binary-component lib/WINNT_x86-msvc/ff220/xpGwtDevPlugin.dll ABI=WINNT_x86-msvc appversion<=22.0.*
binary-component lib/Darwin-gcc3/ff220/libgwt_dev_ff220.dylib ABI=Darwin_x86_64-gcc3 appversion<=22.0.*
binary-component lib/Darwin-gcc3/ff220/libgwt_dev_ff220.dylib ABI=Darwin_x86-gcc3 appversion<=22.0.*
# Firefox 23
binary-component lib/Linux_x86_64-gcc3/ff230/libgwt_dev_ff230.so ABI=Linux_x86_64-gcc3 appversion<=23.0.*
binary-component lib/Linux_x86-gcc3/ff230/libgwt_dev_ff230.so ABI=Linux_x86-gcc3 appversion<=23.0.*
binary-component lib/WINNT_x86-msvc/ff230/xpGwtDevPlugin.dll ABI=WINNT_x86-msvc appversion<=23.0.*
binary-component lib/Darwin-gcc3/ff230/libgwt_dev_ff230.dylib ABI=Darwin_x86_64-gcc3 appversion<=23.0.*
binary-component lib/Darwin-gcc3/ff230/libgwt_dev_ff230.dylib ABI=Darwin_x86-gcc3 appversion<=23.0.*
# It looks like the above entries are based on a misunderstanding of how Firefox loads binary components.
# 1. It's unclear whether wildcards actually work.
# 2. Firefox doesn't stop at the first matching component. It will try to load all binaries that match.
# (On Macs and Linux, it seems to log an error, but on Windows it crashes the browser.)
#
# So, we need to do proper range checks. There's a trick to it: the appversion and platformversion are actually
# the same for Firefox. Using just appversion wouldn't work because it's an OR condition.
# Not touching the entries before this because I haven't tested them and I don't know if Firefox changed its
# behavior at some version.
# Firefox 24
# Linux: require 24.2+
# previous versions not supported due to: https://bugzilla.mozilla.org/show_bug.cgi?id=927073
binary-component lib/Linux_x86_64-gcc3/ff240/libgwt_dev_ff240.so ABI=Linux_x86_64-gcc3 appversion>=24.2 platformversion<25
binary-component lib/Linux_x86-gcc3/ff240/libgwt_dev_ff240.so ABI=Linux_x86-gcc3 appversion>=24.2 platformversion<25
# Others work with 24.0+
binary-component lib/WINNT_x86-msvc/ff240/xpGwtDevPlugin.dll ABI=WINNT_x86-msvc appversion>=24 platformversion<25
binary-component lib/Darwin-gcc3/ff240/libgwt_dev_ff240.dylib ABI=Darwin_x86_64-gcc3 appversion>=24 platformversion<25
binary-component lib/Darwin-gcc3/ff240/libgwt_dev_ff240.dylib ABI=Darwin_x86-gcc3 appversion>=24 platformversion<25
# Firefox 25
binary-component lib/Linux_x86_64-gcc3/ff250/libgwt_dev_ff250.so ABI=Linux_x86_64-gcc3 appversion>=25 platformversion<25.0.1
binary-component lib/Linux_x86-gcc3/ff250/libgwt_dev_ff250.so ABI=Linux_x86-gcc3 appversion>=25 platformversion<25.0.1
binary-component lib/WINNT_x86-msvc/ff250/xpGwtDevPlugin.dll ABI=WINNT_x86-msvc appversion>=25 platformversion<25.0.1
binary-component lib/Darwin-gcc3/ff250/libgwt_dev_ff250.dylib ABI=Darwin_x86_64-gcc3 appversion>=25 platformversion<25.0.1
binary-component lib/Darwin-gcc3/ff250/libgwt_dev_ff250.dylib ABI=Darwin_x86-gcc3 appversion>=25 platformversion<25.0.1
# Firefox 25.0.1
binary-component lib/Linux_x86_64-gcc3/ff251/libgwt_dev_ff251.so ABI=Linux_x86_64-gcc3 appversion>=25.0.1 platformversion<26
binary-component lib/Linux_x86-gcc3/ff251/libgwt_dev_ff251.so ABI=Linux_x86-gcc3 appversion>=25.0.1 platformversion<26
binary-component lib/WINNT_x86-msvc/ff251/xpGwtDevPlugin.dll ABI=WINNT_x86-msvc appversion>=25.0.1 platformversion<26
binary-component lib/Darwin-gcc3/ff251/libgwt_dev_ff251.dylib ABI=Darwin_x86_64-gcc3 appversion>=25.0.1 platformversion<26
binary-component lib/Darwin-gcc3/ff251/libgwt_dev_ff251.dylib ABI=Darwin_x86-gcc3 appversion>=25.0.1 platformversion<26
# Firefox 26
binary-component lib/Linux_x86_64-gcc3/ff260/libgwt_dev_ff260.so ABI=Linux_x86_64-gcc3 appversion>=26 platformversion<27
binary-component lib/Linux_x86-gcc3/ff260/libgwt_dev_ff260.so ABI=Linux_x86-gcc3 appversion>=26 platformversion<27
binary-component lib/WINNT_x86-msvc/ff260/xpGwtDevPlugin.dll ABI=WINNT_x86-msvc appversion>=26 platformversion<27
binary-component lib/Darwin-gcc3/ff260/libgwt_dev_ff260.dylib ABI=Darwin_x86_64-gcc3 appversion>=26 platformversion<27
binary-component lib/Darwin-gcc3/ff260/libgwt_dev_ff260.dylib ABI=Darwin_x86-gcc3 appversion>=26 platformversion<27
interfaces components/IOOPHM.xpt
contract @gwt.google.com/ExternalWrapper;1 {028DD88B-6D65-401D-AAFD-17E497D15D09}